OpenTV ENTera & OpenTV Platform Documentation
26.26_Q2 25.52_Q4 25.26_Q2 25.12_Q1 24.50_Q4 24.38_Q3 24.26_Q2 23.50_Q4 23.24_Q2 23.12_Q1 22.50_Q4 22.38_Q3 22.24_Q2
26.26_Q2 25.52_Q4 25.26_Q2 25.12_Q1 24.50_Q4 24.38_Q3 24.26_Q2 23.50_Q4 23.24_Q2 23.12_Q1 22.50_Q4 22.38_Q3 22.24_Q2

Privacy metrics

Common fields

The following fields must be included in every request body:

  • accountId – the account ID

  • userId – must be an empty string

  • deviceId – the device ID

  • key – must be an empty string

  • name – the activity name

  • timestamp – the activity timestamp in <YYYY>-<MM>-<DD>T<hh>:<mm>:<ss>Z format

These fields are not included in the examples in the following table.

Activity name

Trigger

Description

Required data fields

Notes

Examples

privacyPolicy 

User consent or non-consent

Allows the client to capture the user's consent and related information in relation to any local or global policy. 

deviceId
accountId
consentForTargettedAd
policyConsentGiven
policyType
policyShown
policyRead
policyString
dateTimeDevice

The US privacy string (policyString) consists of the following components:

  • Specification version: a number that represents the version of the string specification

  • Explicit notice: An enum that represents whether the explicit notice has been provided (N  = no,  Y  = yes,  –  = not applicable)

  • Opt-out sale: an enum that represents whether the user has opted out of the sale of their data (N  = no,  Y  = yes,  –  = not applicable)

policyType – one of the following:

  • CCPA

  • GDPR

  • PDPA

Request:

POST https://host/useractivityvault/v1/useractivity/privacyPolicy

Body:

JSON
{
  ...
  "metadata": {
    "consentForTargettedAd" : "",
    "policyConsentGiven" : "",
    "policyType" : "",
    "policyShown" : "",
    "policyRead" : "",
    "policyString" : "1YN"
  }
  ...
}